xcb_input_get_device_motion_events(3)

NAME
xcb_input_get_device_motion_events -

SYNOPSIS
#include <xcb/xinput.h>

  Request function

xcb_input_get_device_motion_events_cookie_t xcb_input_get_device_motion_events(xcb_connection_t *conn, xcb_timestamp_t start, xcb_timestamp_t stop, uint8_t device_id);

  Reply datastructure

typedef struct xcb_input_get_device_motion_events_reply_t {
    uint8_t  response_type;
    uint8_t  pad0;
    uint16_t sequence;
    uint32_t length;
    uint32_t num_coords;
    uint8_t  num_axes;
    uint8_t  device_mode;
    uint8_t  pad1[18];
} xcb_input_get_device_motion_events_reply_t;

  Reply function

xcb_input_get_device_motion_events_reply_t *xcb_input_get_device_motion_events_reply(xcb_connection_t *conn, xcb_input_get_device_motion_events_cookie_t cookie, xcb_generic_error_t **e);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

start
    TODO: NOT YET DOCUMENTED.

stop
    TODO: NOT YET DOCUMENTED.

device_id
    TODO: NOT YET DOCUMENTED.

REPLY FIELDS

response_type
    The type of this reply, in this case XCB_INPUT_GET_DEVICE_MOTION_EVENTS. This field is also present in the xcb_generic_reply_t and can be used to tell replies apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

length
    The length of the reply, in words (a word is 4 bytes).

num_coords
    TODO: NOT YET DOCUMENTED.

num_axes
    TODO: NOT YET DOCUMENTED.

device_mode
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_input_get_device_motion_events_cookie_t. Errors have to be handled when calling the reply function xcb_input_get_device_motion_events_reply. If you want to handle errors in the event loop instead, use xcb_input_get_device_motion_events_unchecked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.